## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-04-11
version: "2.1"
services:
  plex:
    image: ghcr.io/linuxserver/plex  # Ancien dépôt : linuxserver/plex:latest
    container_name: plex
    network_mode: host
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - PUID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - VERSION=latest
      - UMASK=022
# Si plex est en bridge ( autre que "network_mode: host" )), les 12 lignes suivantes doivent être décommentées et le token renseigné.
#      - PLEX_CLAIM=BLABLA #obtain claim token https://plex.tv/claim expire within 4 minutes.
#    ports:
#      - 32400:32400
#      - 1900:1900/udp
#      - 3005:3005
#      - 5353:5353/udp
#      - 8324:8324
#      - 32410:32410/udp
#      - 32412:32412/udp
#      - 32413:32413/udp
#      - 32414:32414/udp
#      - 32469:32469
    volumes:
      - /volume1/docker/plex/config:/config
      - /volume1/docker/plex/transcode:/transcode
      - /volume1/media/music:/data/music
      - /volume1/media/movies:/data/movies
      - /volume1/media/tvshow:/data/tvshow
# Decommenter les 2 lignes suivantes pour activer le transcodage matériel iGPU( si NAS/serveur compatible )
#    devices:
#      - /dev/dri:/dev/dri
    restart: unless-stopped

  tautulli:
    image: ghcr.io/linuxserver/tautulli   # Ancien dépôt : linuxserver/tautulli:latest
    container_name: tautulli
    network_mode: host
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - PUID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - TZ=Europe/Paris
# Si plex est en bridge ( autre que "network_mode: host" ), les 2 lignes suivantes doivent être décommentées.
#    ports:
#      - 8181:8181
    volumes:
      - /volume1/docker/tautulli/config:/config
      - /volume1/docker/plex/config/Library/Application Support/Plex Media Server/Logs:/logs
    restart: unless-stopped
